Imports System.Windows.Forms

Public Class Dlg_Listenauswahl

    Public m_ListCount As Integer

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK

        ' Selektion umkehren
        Dim count As Integer
        m_ListCount = 0
        ' Wie viele Listeneintrge gibt es?
        count = ctListView.Items.Count
        For i As Integer = 0 To count - 1
            ' Summe der selektierten Listen zhlen
            If (ctListView.Items(i).Checked) Then
                m_ListCount = m_ListCount + 1
            End If
        Next
        '       ListenLaden.LoadListen()
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub Dlg_Listenauswahl_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' Turn on full row select.
        Me.ctListView.FullRowSelect = True
        Me.ctListView.CheckBoxes = True
        ' Add some data to the ListView.
        Dim columnheader As ColumnHeader
        Dim lviewitem As ListViewItem

        ' Create column headers for the data.
        columnheader = New ColumnHeader()
        columnheader.Text = "Setup File"
        '    Me.ctListView.Columns.Add(columnheader)

        columnheader = New ColumnHeader()
        columnheader.Text = "File Size (Byte)"
        '   Me.ctListView.Columns.Add(columnheader)

        ctListView.Clear()

        ctListView.Columns.Add("Filename", 300, HorizontalAlignment.Left)
        ctListView.Columns.Add("File Size (Byte)", 100, HorizontalAlignment.Left)

        ' Hier bernehmen wir, entsprechend der Pfadangabe alle Listen fr das Gert
        If Not (m_sListPath = "") Then

            Dim strFileSize As String = ""
            Dim di As New IO.DirectoryInfo(m_sListPath)
            Dim aryFi As IO.FileInfo() = di.GetFiles("*.txt")
            Dim fi As IO.FileInfo

            For Each fi In aryFi
                strFileSize = (Math.Round(fi.Length)).ToString()
                Console.WriteLine("File Name: {0}", fi.Name)
                Console.WriteLine("File Full Name: {0}", fi.FullName)
                Console.WriteLine("File Size (Byte): {0}", strFileSize)
                Console.WriteLine("File Extension: {0}", fi.Extension)
                Console.WriteLine("Last Accessed: {0}", fi.LastAccessTime)

                For i As Integer = 0 To LDCount - 1

                    If (String.Compare(fi.Name.ToString.Substring(0, fi.Name.Length() - 4), STL(i).LiName.ToString.Substring(0, STL(i).LiName.ToString.IndexOf(Chr(0)))) = 0) Then
                        ' Hier schreiben wir uns noch den gesamten Pfad inkl. Dateinamen in die Listenstruktur
                        STL(i).LiPath = fi.FullName.ToString
                        lviewitem = New ListViewItem(fi.Name)
                        lviewitem.SubItems.Add(strFileSize)
                        Me.ctListView.Items.Add(lviewitem)
                        lviewitem.Checked = True
                    End If
                Next
            Next
        End If
    End Sub

    Private Sub btInvert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btInvert.Click
        ' Selektion umkehren
        Dim count As Integer
        ' Wie viele Listeneintrge gibt es?
        count = ctListView.Items.Count
        For i As Integer = 0 To count - 1
            ' Prfen und entsprechend Handeln
            If (ctListView.Items(i).Checked) Then
                ctListView.Items(i).Checked = False
            Else
                ctListView.Items(i).Checked = True
            End If
        Next
    End Sub
End Class
